TAU_PROFILE(3)

NAME
TAU_PROFILE - Profile a C++ function

SYNOPSIS

TAU_PROFILE(char* or string& function_name, char* or string& type, TauGroup_t group);

DESCRIPTION

TAU_PROFILE profiles a function. This macro defines the function and takes care of the timer start and stop as well. The timer will stop when the macro goes out of scope (as in C++ destruction).

EXAMPLE

int foo(char *str) {
  TAU_PROFILE(foo","int (char *)",TAU_DEFAULT);
  ...
}

SEE ALSO

TAU_PROFILE_TIMER(3)